/*
 * F7cloud Talk - Android Client
 *
 * SPDX-FileCopyrightText: 2023 Marcel Hibbe <dev@mhibbe.de>
 * SPDX-License-Identifier: GPL-3.0-or-later
 */
package ru.f7cloud.talk.invitation.data

import ru.f7cloud.talk.data.user.model.User
import io.reactivex.Observable

interface InvitationsRepository {
    fun fetchInvitations(user: User): Observable<InvitationsModel>
    fun acceptInvitation(user: User, invitation: Invitation): Observable<InvitationActionModel>
    fun rejectInvitation(user: User, invitation: Invitation): Observable<InvitationActionModel>
    suspend fun getInvitations(user: User): InvitationsModel
}
